Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jms.listener.serversession
Interface ListenerSessionManager

All Known Implementing Classes:
  ServerSessionMessageListenerContainer, ServerSessionMessageListenerContainer102

    public interface ListenerSessionManager

SPI interface for creating and executing JMS Sessions, pre-populated with a specific MessageListener. Implemented by ServerSessionMessageListenerContainer, accessed by ServerSessionFactory implementations.

Effectively, an instance that implements this interface represents a message listener container for a specific listener and destination.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `ServerSessionFactory`, `ServerSessionMessageListenerContainer`

Method Summary
`Session` | `createListenerSession()` Create a new JMS Session, pre-populated with this manager's MessageListener.
`void` | `executeListenerSession(Session session)` Execute the given JMS Session, triggering its MessageListener with pre-loaded messages.

Method Detail

### createListenerSession

    Session createListenerSession()
                                  throws JMSException

  Create a new JMS Session, pre-populated with this manager's MessageListener.

  Returns:
    the new JMS Session
  Throws:
    `JMSException` - if Session creation failed
  See Also:
    `Session.setMessageListener(javax.jms.MessageListener)`

### executeListenerSession

    void executeListenerSession(Session session)

  Execute the given JMS Session, triggering its MessageListener with pre-loaded messages.

  Parameters:
    `session` - the JMS Session to invoke
  See Also:
    `Session.run()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.